Subject: bug#36171: 25.1; Emacs displays Hebrew text incorrectly

From: Raoul Comninos <[email-masked]>
Date: Fri, 14 Jun 2019 13:51:21 +0200

If I start Emacs with emacs -Q -xrm Emacs.fontBackend:xfthb I still see 
xft.

However, I have moved (add-to-list 'default-frame-alist '(font-backend 
xfthb)) to the front of my .emacs and this appears to have resolved the 
problem. I no longer see circles and the Hebrew font is properly displayed.

Thank you very much Eli for your help with this. I am going to test it 
today further just to make sure but so far however, all seems well.

With much appreciation.

Kind regards

Raoul Comninos

On 2019/06/13 20:57, Eli Zaretskii wrote:
>> Cc: [email-masked], YAMAMOTO Mitsuharu <[email-masked]>
>> From: Raoul Comninos <[email-masked]>
>> Date: Thu, 13 Jun 2019 20:39:10 +0200
>>
>> I have tried out several different fonts but there is no change to the
>> problem.
>>
>> I still see the circles.
> That's because your Emacs uses the XFT/FLT shaping, not the HarfBuzz
> shaping.
>
> Try starting Emacs like this:
>
>    emacs -Q -xrm Emacs.fontBackend:xfthb
>
> and then see if the problem goes away.  You should see "xfthb" in the
> "C-u C-x =" display, here you currently see "xft":
>
>>     xft:-unknown-DejaVu Sans-normal-normal-normal-*-26-*-*-*-*-0-iso10646-1
>       ^^^
>
>> I added (add-to-list 'default-frame-alist '(font-backend xfthb)) to my
>> .emacs file, but this made no difference.
> My crystal ball says that you added that too late in the init file.
> You must do this at the very beginning.
>
> In any case, for whatever reason, your Emacs still uses the XFT font
> backend, not the HarfBuzz-powered xfthb.  I believe that's why you see
> the circles: FLT doesn't support composition of the characters from
> the Alphabetic Presentations Forms block.